Bug 212360 - (CVE-2006-5542) CVE-2006-5540 New version fixes three different crash vulnerabilities
CVE-2006-5540 New version fixes three different crash vulnerabilities
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Tom Lane
David Lawrence
http://www.postgresql.org/about/news.664
source=postgresql,reported=20061025,i...
: Security
Depends On: 212358
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 11:03 EDT by Lubomir Kundrak
Modified: 2013-07-02 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.1.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-11 11:47:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2006-10-26 11:03:04 EDT
+++ This bug was initially created as a clone of Bug #212358 +++

Description of problem:

The three crash conditions are not considered critical vulnerabilities, because
all three require authenticated access to the database with the ability to run
ad-hoc queries, and none can be exploited for privilege escalation.

1.) Disallow aggregate functions in UPDATE commands, except within sub-SELECTs (Tom)
(The behavior of such an aggregate was unpredictable, and in 8.1.X could cause a
crash, so it has been disabled. The SQL standard does not allow this either.)

2.) Fix core dump when an untyped literal is taken as ANYARRAY

3.) Fix core dump in duration logging for extended query protocol when a COMMIT
or ROLLBACK is executed

Version-Release number of selected component (if applicable):

1.) >=7.4.1, Affects RHEL 4.1, FC5, FC6
2.) >=8.1, Affects FC5, FC6
3.) >=8.1, Affects FC5, FC6

Additional info:

Here are commit messages with diffs:
1.) http://archives.postgresql.org/pgsql-committers/2006-10/msg00205.php
2.) http://archives.postgresql.org/pgsql-committers/2006-08/msg00277.php
3.) http://archives.postgresql.org/pgsql-committers/2006-06/msg00299.php
Comment 1 Tom Lane 2007-01-11 11:47:09 EST
Updates are now released for FC5 and FC6.

Note You need to log in before you can comment on or make changes to this bug.